#ifndef CACHEABLENODE_HPP_INCLUDED
#define CACHEABLENODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class CacheableNode : public Node
    {
        public:
            CacheableNode();
            CacheableNode(const void* Obj);
            CacheableNode(const CacheableNode& C);
            static Class GetClass();

            CacheableNode GetNext() const;
            CacheableNode GetPrev() const;

    };
}

#endif // CACHEABLENODE_HPP_INCLUDED
